Subject: Re: bug#1819: Anyone knows why the majority of windowed proggies launched from an emacs shell doesn't show until the shell buffer is killed? [MSWindows]

From: Jason Rumney <[email-masked]>
Date: Sun, 18 Jan 2009 21:07:51 +0800

[email-masked] wrote:
> Anyone knows why the majority of windowed applications launched from an
> emacs shell doesn't show until the shell buffer is killed? [MSWindows]
>
> Try M-x shell <RET> notepad
>
> Doesn't show anything on the computers I've tried until C-x k
>   

Strange, I couldn't reproduce this when I first tried, but now I can 
reproduce it every time on Emacs 21.3, 22.3 and CVS trunk.

Perhaps it was a recent OS patch that caused this behaviour. It does not 
even seem to be linked to the fact that the shell window is hidden, as 
changing w32-start-process-show-window does not improve the problem.